%define installdir %apache_htdocsdir/addon-modules/wackowiki
%define svnrev 1162

Name: WackoWiki
Version: 4.2
Release: alt4.svn.%svnrev

Summary: A slight and handy Wiki-engine based on Wakka Wiki.
License: free, see docs/LICENSE
Group: Networking/Other

URL: http://www.wackowiki.com
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>
BuildArch: noarch

Source0: wacko.svn.%svnrev.tar.bz2
Source1: WackoWiki.apache.conf
Source2: WackoWiki.README.ALT.ru_RU.KOI8-R
Patch0: wacko-r4.2-alt-installer-privileges-tip.patch
Patch1: wacko-r4.2-alt-detect-mod_rewrite.patch
Patch2: wacko-r4.2-alt-detect-mysql-extension.patch
Patch3: wacko-r4.2-alt-dont-apply-rights.patch
Patch4: wacko-r4.2-alt-initial-insert.patch

Requires: php-engine apache-common
BuildRequires: apache-devel

%description
WackoWiki - Small, lightweight, handy, expandable, multilingual Wiki-engine
based on Wakka Wiki. WYSIWYG editor, easy installer, many localizations,
email notification on changes/comments, several cache levels, design themes
(skins) support, XHTML compliance, page rights (ACLs), page comments.

%prep
%setup -qn wacko
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%install
install -pD -m0644 %SOURCE1 %buildroot%apache_addonconfdir.d/wackowiki.conf

mkdir -p %buildroot%installdir
cp -rp {interwiki.conf,index.php,wakka.php,actions,themes,classes,_cache,xml,db,files,formatters,handlers,images,js,lang,lib,setup} %buildroot%installdir/
touch %buildroot%installdir/wakka.config.php
find %buildroot%installdir -type f -print0 | xargs -0 chmod a-x,go-w
find %buildroot%installdir -name .htaccess -print0 | xargs -0 rm
chmod 770 %buildroot%installdir/{xml,_cache,files,files/perpage}

install -pD -m0644 %SOURCE2 README.ALT.ru_RU.KOI8-R

%post
# post-install instructions:
if [ -f %apache_conf ] ; then
    if egrep -q "^Include conf/addon-modules.?d?/wackowiki.conf" %apache_conf; then
        subst "/Include conf\/addon-modules\/wackowiki.conf/d" %apache_conf
        subst "/Include conf\/addon-modules.d\/wackowiki.conf/d" %apache_conf
    fi

    if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
        echo "Include conf/addon-modules.d/wackowiki.conf" >> %apache_conf
    fi
	    
    /sbin/service httpd reload
fi

%postun
if [ $1 -eq 0 ]; then
    if [ -f %apache_conf ] ; then
        grep -q "^Include conf/addon-modules.d/wackowiki.conf" %apache_conf &&
            subst "/Include conf\/addon-modules.d\/wackowiki.conf/d" %apache_conf
    	/sbin/service httpd reload
    fi
fi

%files
%doc README* readme* docs/LICENSE docs/UPGRADE 
%config(noreplace) %apache_addonconfdir.d/wackowiki.conf
%dir %installdir
%installdir/interwiki.conf
%installdir/index.php
%installdir/wakka.php
%installdir/actions
%installdir/themes
%installdir/classes
%installdir/db
%installdir/formatters
%installdir/handlers
%installdir/images
%installdir/js
%installdir/lang
%installdir/lib
%installdir/setup
%attr(-,root,%apache_group) %installdir/_cache
%attr(-,root,%apache_group) %installdir/xml
%attr(-,root,%apache_group) %installdir/files
%config(noreplace) %attr(0640,root,apache) %installdir/wakka.config.php

%changelog
* Tue Aug 29 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 4.2-alt4.svn.1162
- Updated from svn
- Rediffed patches
- Reload apache instead of restart at post/postun time
- Added wacko-r4.2-alt-initial-insert.patch for provide 'set names cp1251' when
  importing data in russian language
- Updated README.ALT

* Sun Mar 19 2006 Leonid Shalupov <shalupov@altlinux.ru> 4.2-alt3
- check apache package existance before restarting it and
  modifying configuration

* Sun Mar 05 2006 Leonid Shalupov <shalupov@altlinux.ru> 4.2-alt2
- require php-engine instead of mod_php (#7905)
- README.ALT.RUS added
- out-of-the-box usability patches (i.e. #8833)

* Sun Apr 03 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.2-alt1
- 4.2

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.0-alt1
- Initial build
